<form method="get" action="#{url _url /}" class="search-bar" id="searchForm">

    <div class="ui #{if _align != null}${_align}#{/if}#{else}left#{/else} aligned grid">
        <div class="ui #{if _align != null}${_align}#{/if}#{else}left#{/else} floated column">
            <div class="ui dropdown selection" id="filter">
                <input type="hidden" name="filter" value="${_filter}">
                <i class="dropdown icon"></i>
                <div class="default text">${_filter ? _filter?.toString().replaceAll("_", " ") : 'Pilih Filter'}</div>
                <div class="menu">
                #{list items:_filters, as:'f'}
                    <div class="item" data-value="${f}">${f.toString().replaceAll("_", " ")}</div>
                #{/list}
                </div>
            </div>
        </div>
    </div>
</form>
#{set 'filtersScripts'}
<style>.default.text {
    color: #000 !important;
}</style>
<script>
    $('#filter')
            .dropdown({
                action: 'hide',
                onChange: function (value, text, $selectedItem) {
                    $("input[name=filter]").val($selectedItem.data('value'));
                    if ($("input[name=search]").length && $("input[name=search]").val().length) {
                        let getSearch = $("<input>").attr("name", "search").attr("type", "hidden")
                                .val($("input[name=search]").val());
                        $('#searchForm').append($(getSearch));
                    }
                    $("#searchForm").submit();
                }
            });
</script>
#{/set}